%define _unpackaged_files_terminate_build 1
#
#   - Tree::Simple -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       --spec-only -U Tree::Simple
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module Tree-Simple
%define m_distro Tree-Simple
%define m_name Tree::Simple
%define m_author_id unknown
%define _enable_test 1

Name: perl-Tree-Simple
Version: 1.26
Release: alt1

Summary: Tree-Simple - A simple tree object

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: http://www.cpan.org/authors/id/R/RS/RSAVAGE/Tree-Simple-%{version}.tgz

# Automatically added by buildreq on Tue Jun 07 2005
BuildRequires: perl-Pod-Escapes perl-Pod-Simple perl-Sub-Uplevel perl-Test-Exception perl-Test-Pod perl-devel perl-Module-Build perl(Test/Version.pm)


%description
This module in an fully object-oriented implementation of a simple
n-ary tree. It is built upon the concept of parent-child relationships,
so therefore every Tree::Simple object has both a parent and a set
of children (who themselves may have children, and so on). Every
Tree::Simple object also has siblings, as they are just the children of
their immediate parent.

It is can be used to model hierarchal information such as a file-system,
the organizational structure of a company, an object inheritance
hierarchy, versioned files from a version control system or even an
abstract syntax tree for use in a parser. It makes no assumptions as
to your intended usage, but instead simply provides the structure and
means of accessing and traversing said structure.

This module uses exceptions and a minimal Design By Contract style. All
method arguments are required unless specified in the documentation,
if a required argument is not defined an exception will usually be
thrown. Many arguments are also required to be of a specific type, for
instance the $parent argument to the constructor must be a Tree::Simple
object or an object derived from Tree::Simple, otherwise an exception
is thrown. This may seems harsh to some, but this allows me to have
the confidence that my code works as I intend, and for you to enjoy the
same level of confidence when using this module. Note however that this
module does not use any Exception or Error module, the exceptions are
just strings thrown with "die".

I consider this module to be production stable, it is based on a module
which has been in use on a few production systems for approx. 2 years
now with no issue. The only difference is that the code has been cleaned
up a bit, comments added and the thorough tests written for its public
release. I am confident it behaves as I would expect it to, and is (as
far as I know) bug-free. I have not stress-tested it under extreme duress,
but I don't so much intend for it to be used in that type of situation. If
this module cannot keep up with your Tree needs, i suggest switching to
one of the modules listed in the "OTHER TREE MODULES" section below.

%prep
%setup -q -n %m_distro-%version
%build
%perl_vendor_build

%install
%perl_vendor_install
rm -rf %buildroot%perl_vendor_man3dir/

%files
%perl_vendor_privlib/Tree/*

%changelog
* Mon Dec 07 2015 Igor Vlasenko <viy@altlinux.ru> 1.26-alt1
- automated CPAN update

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.25-alt1
- automated CPAN update

* Tue Sep 09 2014 Igor Vlasenko <viy@altlinux.ru> 1.24-alt1
- automated CPAN update

* Wed Nov 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- automated CPAN update

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1
- automated CPAN update

* Fri Sep 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.21-alt1
- automated CPAN update

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.19-alt1
- automated CPAN update

* Fri Jul 16 2010 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1
- automated CPAN update

* Sat Sep 06 2008 Vitaly Lipatov <lav@altlinux.ru> 1.15-alt2
- fix directory ownership violation
- disable man packaging

* Tue Jun 07 2005 Vitaly Lipatov <lav@altlinux.ru> 1.15-alt1
- first build for ALT Linux Sisyphus
